// 顶点位置
attribute vec4 vPosition;
// 顶点纹理坐标
attribute vec2 vCoordinate;
// 总变换矩阵
uniform mat4 vMatrix;

// 用于传递给片元着色器的易变变量
varying vec2 aCoordinate;

void main() {
    // 根据总变换矩阵计算此次绘制此顶点的位置
    gl_Position = vMatrix * vPosition;
    // 将接受的纹理坐标传递给片元着色器
    aCoordinate = vCoordinate;
}